Package skyview.survey

# Class TwoMASSGenerator

java.lang.Object
skyview.survey.TwoMASSGenerator

All Implemented Interfaces:
  `ImageGenerator`

public class TwoMASSGenerator extends Object implements ImageGenerator
This is s special class just defined for a specific 2MASS SIAP service. When we get a 2MASS service with better defined columns we can get rid of this class.

## Constructor Summary

Constructors
Constructor
Description
`TwoMASSGenerator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`getImages(double ra, double dec, double size, ArrayList<String> spells)`
Get images from a SIAP service

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TwoMASSGenerator

public TwoMASSGenerator()

## Method Details

### getImages

public void getImages(double ra, double dec, double size, ArrayList<String> spells)
Get images from a SIAP service

Specified by:
  `getImages` in interface `ImageGenerator`